#!/bin/sh

# Performance Data Analyzer (PDA)
# Copyright (c) 2006-2015 by Nicolas Michael
# License:      GNU General Public License v2
# Website:      http://pda.nmichael.de/

SCRIPT=`basename $0`

# PDA Installation Directory
if [ "$PDA_HOME" = "" ] ; then
  PDA_HOME=`dirname $0`
fi

# Other Directories
PDA_PROGRAM=$PDA_HOME/program
PDA_LIB=$PDA_HOME/program/lib
PDA_PARSERS=$PDA_HOME/parsers

# Java Heap
if [ "$PDA_HEAP" = "" ] ; then
  PDA_HEAP=1024m
fi

# Java Args and Classpath
PDA_JAVA_ARGS="-Xmx$PDA_HEAP"
PDA_CLASSPATH="$PDA_PROGRAM/pda.jar"
for jar in `find $PDA_LIB -name \*.jar`
do
  PDA_CLASSPATH=$PDA_CLASSPATH:$jar
done
PDA_CLASSPATH=$PDA_CLASSPATH:$PDA_PARSERS

# Logging Info
echo "[$SCRIPT] PDA_HOME=$PDA_HOME"
echo "[$SCRIPT] PDA_PARSERS=$PDA_PARSERS"
echo "[$SCRIPT] PDA_HEAP=$PDA_HEAP"
echo "[$SCRIPT] PDA_JAVA_ARGS=$PDA_JAVA_ARGS"
echo "[$SCRIPT] PDA_CLASSPATH=$PDA_CLASSPATH"

java $PDA_JAVA_ARGS -cp $PDA_CLASSPATH -Dpda.home=$PDA_HOME -Dpda.parsers=$PDA_PARSERS de.nmichael.pda.Main $*